Britive platform release 2026.09.01 is now live in production.

Update an ITSM connection

Prev Next
Patch
/api/itsm-manager/connections/{connectionId}
Security
HTTP
Type bearer
Path parameters
connectionId
stringRequired

connectionId of an ITSM Connection

Body parameters

ITSM Connection Data

Expand All
object
id
string
type
string
authType
string
name
string
description
string
data
object
accessibleTicketTypes
Array of string

Ticket types the connection's credentials can access. Only populated on create/update for connectors that validate per ticket type (currently ServiceNow).

string
inaccessibleTicketTypes
Array of string

Ticket types the connection's credentials cannot access. Only populated on create/update for connectors that validate per ticket type (currently ServiceNow).

string
Responses
200

ITSM Connection updated successfully.

Expand All
object
id
string
type
string
authType
string
name
string
description
string
data
object
accessibleTicketTypes
Array of string

Ticket types the connection's credentials can access. Only populated on create/update for connectors that validate per ticket type (currently ServiceNow).

string
inaccessibleTicketTypes
Array of string

Ticket types the connection's credentials cannot access. Only populated on create/update for connectors that validate per ticket type (currently ServiceNow).

string
400

None of the connection's supported ticket types are accessible.

404

ITSM Connection not found.